import HUYA from "./jce";
import { UI } from '@hyext/hy-ui'

const { Tip } = UI

const helper = global.__helper = {
  getJceInfo: () => {
    return {
      class: HUYA,
      uri: '8006',
    }
  },
  tip(...args) {
    Tip.show(...args)
  },
  v2type: v => {
    const dumpType = (v) => {
      if (Array.isArray(v)) {
        return v.map(v => {
          return dumpType(v)
        })
      } else if (typeof v === 'object' && v !== null) {
        return Object.keys(v).reduce((track, key) => {
          track[key] = dumpType(v[key])
          return track
        }, {})
      } else {
        if (v === null) return null
        return typeof v
      }
    }
  
   return dumpType(v)
  }
}

export default helper